org.apache.calcite.avatica.proto

## Interface Requests.FetchRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.FetchRequest, Requests.FetchRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.FetchRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`int` `getFetchMaxRowCount()` Maximum number of rows to be returned in the frame.
`int` `getFrameMaxSize()` `optional int32 frame_max_size = 5;`
`long` `getOffset()` `optional uint64 offset = 3;`
`int` `getStatementId()` `optional uint32 statement_id = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getStatementId

    int getStatementId()

`optional uint32 statement_id = 2;`

#### getOffset

    long getOffset()

`optional uint64 offset = 3;`

#### getFetchMaxRowCount

    int getFetchMaxRowCount()

     Maximum number of rows to be returned in the frame. Negative means no limit. Deprecated!

`optional uint32 fetch_max_row_count = 4;`

#### getFrameMaxSize

    int getFrameMaxSize()

`optional int32 frame_max_size = 5;`